import requests
url = "https://api.paywise.de/v1/mandates/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/mandates/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v1/mandates/{id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/mandates/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v1/mandates/{id}/ \
--header 'Authorization: Bearer <token>'{
"href": "<string>",
"id": "<string>",
"reference_number": "<string>",
"debtor": {
"name": "<string>"
},
"legal_stage": "extrajudicial",
"processing_state": "in_progress",
"payment_state": "unpaid",
"legal_claim_balance": {
"balance_of_costs_interest_bearing": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_costs_interest_free": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_interest_on_costs": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_interest_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"total_balance": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_costs_interest_bearing": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_costs_interest_free": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_interest_on_costs": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_interest_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"total_legal_claim": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_costs_interest_bearing": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_costs_interest_free": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_interest_on_costs": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_interest_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"total_payment": {
"value": "<string>",
"currency": "EUR"
},
"updated": "2023-11-07T05:31:56Z"
},
"total_mandate_amount": {
"value": "<string>",
"currency": "EUR"
},
"status_updates": [
{
"title": "<string>",
"description": "<string>",
"legal_stage": "extrajudicial",
"processing_state": "in_progress",
"created": "2023-11-07T05:31:56Z",
"downloads": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mime_type": "<string>",
"file_size": 123,
"download_url": "<string>"
}
],
"id": "<string>"
}
],
"requests_to_client_summary": {
"total_count": "<string>",
"unanswered_count": "<string>",
"has_pending": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"href": "<string>",
"title": "<string>",
"description_short": "<string>",
"answered": true,
"allowed_answer_types": "<string>",
"created": "2023-11-07T05:31:56Z",
"answered_at": "2023-11-07T05:31:56Z"
}
]
},
"archived": true,
"created": "2023-11-07T05:31:56Z",
"further_reference_numbers": [
"<string>"
],
"claims": [
{
"href": "<string>",
"id": "<string>",
"payments": [
{
"href": "<string>",
"id": "<string>"
}
]
}
]
}Retrieve a mandate
Retrieve a single mandate
import requests
url = "https://api.paywise.de/v1/mandates/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/mandates/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v1/mandates/{id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/mandates/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v1/mandates/{id}/ \
--header 'Authorization: Bearer <token>'{
"href": "<string>",
"id": "<string>",
"reference_number": "<string>",
"debtor": {
"name": "<string>"
},
"legal_stage": "extrajudicial",
"processing_state": "in_progress",
"payment_state": "unpaid",
"legal_claim_balance": {
"balance_of_costs_interest_bearing": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_costs_interest_free": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_interest_on_costs": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_interest_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"balance_of_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"total_balance": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_costs_interest_bearing": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_costs_interest_free": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_interest_on_costs": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_interest_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"legal_claim_of_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"total_legal_claim": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_costs_interest_bearing": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_costs_interest_free": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_interest_on_costs": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_interest_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"payment_on_principal_claim": {
"value": "<string>",
"currency": "EUR"
},
"total_payment": {
"value": "<string>",
"currency": "EUR"
},
"updated": "2023-11-07T05:31:56Z"
},
"total_mandate_amount": {
"value": "<string>",
"currency": "EUR"
},
"status_updates": [
{
"title": "<string>",
"description": "<string>",
"legal_stage": "extrajudicial",
"processing_state": "in_progress",
"created": "2023-11-07T05:31:56Z",
"downloads": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mime_type": "<string>",
"file_size": 123,
"download_url": "<string>"
}
],
"id": "<string>"
}
],
"requests_to_client_summary": {
"total_count": "<string>",
"unanswered_count": "<string>",
"has_pending": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"href": "<string>",
"title": "<string>",
"description_short": "<string>",
"answered": true,
"allowed_answer_types": "<string>",
"created": "2023-11-07T05:31:56Z",
"answered_at": "2023-11-07T05:31:56Z"
}
]
},
"archived": true,
"created": "2023-11-07T05:31:56Z",
"further_reference_numbers": [
"<string>"
],
"claims": [
{
"href": "<string>",
"id": "<string>",
"payments": [
{
"href": "<string>",
"id": "<string>"
}
]
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Our case file reference number ("Aktenzeichen").
Note: Usually a mandate bears only one reference number. But there are edge cases where a mandate is assigned multiple reference numbers. If a new reference number is added to the mandate, this field is overwritten with the new reference number. This previous reference number is then added to the array of further_reference_numbers. See field below.
Show child attributes
Show child attributes
extrajudicial- Außergerichtlichjudicial_dunning- Gerichtliches Mahnverfahrenforeclosure- Zwangsvollstreckunglong_term_monitoring- In Langzeitüberwachungended- Beendet
extrajudicial, judicial_dunning, foreclosure, long_term_monitoring, ended in_progress- Laufendpaused- Pausiertcanceled_by_client- Abgebrochen durch Mandantcanceled_by_service_provider- Abgebrochen durch unsended- Beendet
in_progress, paused, canceled_by_client, canceled_by_service_provider, ended unpaid- Unbezahltpartially_paid- Teilweise bezahltfully_paid- Voll bezahlt
unpaid, partially_paid, fully_paid The legal claim balance of the mandate ("Forderungsstand").
Show child attributes
Show child attributes
Amount
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Summary of requests to client (questions from paywise that require your response).
Show child attributes
Show child attributes
If a mandate bears multiple reference numbers, the most recent one is saved in reference_number above. All others will be placed here.
200Show child attributes
Show child attributes
